XvtED Missions Overview

.
Mission Editing Overview
..
Mission Files Toolbar Conditions Goals & Strings Multiselecting Custom Lists

XvT Mission Files
Before creating and editing missions you'll need to understand the "building blocks" of an XvT mission:
..
Flight Groups (FGs) These are all of the "things" that will appear in the mission and can be divided into 3 types:

Craft: anything that is capable of having shields such as fighters and all other flying craft, but also includes platforms, asteroid bases and containers.
There is a maximum of 32 Craft in a mission at any one time.

Objects: satellites, probes, buoys, mines and asteroids.
There is a maximum of 64 Objects in a mission.

ACTs: 2 dimensional images of planets.

Teams It is the Teams settings that determines who is on whose side, not IFF. Up to 8 player teams are supported. All craft on the same Team are friendly and have the same goals to succeed in the mission. All other Teams are enemies by default, but it is possible to set multiple Teams to be friendly to each other.
..
Conditions Conditions can describe just about any possible state of any element of the mission, or any event that can happen during the mission, e.g. 100% of FG Alpha must be destroyed.

Conditions have a value of either true or false depending on whether the state or event that they describe is true.

They are used to define Goals, (the goal is completed when all conditions which make it up become true,) and also to trigger events such as FGs arriving, departing, or changing orders.

Most conditions used for Goals have 3 User Strings attached to them.

User Strings These are strings that appear in the Goals box while in-flight, indicating to the Player the Global Goals and FG Goals they must achieve in order to complete the mission. The game will generate its own strings for conditions but these can be customized.
..
Goals Goals consist of up to four Conditions. Goals are objectives a Team must complete in order to win the mission. There may be additional goals to gain bonus points, or that must be prevented in order to keep other Teams from winning the mission.
..
Messages Text messages can be sent to selected Teams when specified conditions are met.
There are also 3 messages per Team which (if non empty) will be sent to Teams automatically in the event that they:
  • Complete their primary goal
  • Fail their primary goal
  • Complete their secondary goal
Messages may also have WAV files assigned to be played along with them.
..
Briefings Each player Team can have their own, or shared, animated Briefing which outlines the mission situation and objectives.
..
.lst files .lst files are used by the game to tell it which files are available to it for various purposes such as:
  • Which missions are available to play.
  • Which missions are in a Campaign, Battle, etc.
  • Which OPTs are assigned to which ship slot.
  • Which WAVs are played along with messages.
Once you have created a mission, it must be added to the appropriate .lst file(s) for you to be able to select it in the game.
..
Mission Types
There are 2 file formats (assuming you have BoP) and 4 different Mission types in XvT.

These parameters are set at the bottom of the Datapad in the editor's main window: a drop down list to set the Mission type, radio buttons for the Format, and edit boxes to set the Total time Players have to complete the mission.(If these are set to zeros there is no time limit)

The main difference between the formats is that BoP format missions have debriefings which are used when they are played as part of a Campaign.

If you have BoP, you will have a "BalanceOfPower" directory within your "XWingTie" directory, which will contain duplicates of all the directories within "XWingTie". BoP Format missions will be found within that "BalanceOfPower" directory.

The available Mission types and their locations are:

Training | Single Player missions (although some of the original missions have this setting for 2 player Training.) Found within the \Train directory.
Melee | Multiple Player-teams, usually all hostile to each other. Found within the \Melee directory.
Multiplayer Training | From 2 to 8 Players, all on the same or Allied Teams. All BoP Campaign missions are Multiplayer Training. Found within the \Train directory.
Multiplayer Combat | From 2 to 8 Players, with at least one on Team 1 and one on Team 2. Team 1 must be IFF Imperial and Team 2 must be IFF Rebel. Found within the \Combat directory.

Next
..


XvtED Overview

.
Mission Editing Overview
.
Mission Files Toolbar Conditions Goals & Strings Multiselecting Custom Lists

The main editor window of XvtED. Here you can edit FGs, Messages, Global Goals, Text sections and Teams, as well as accessing all of the other windows such as the Map and Briefing Editor.

XvtED can be assigned to .tie file types so that double clicking on an .tie file will open the editor with the selected file loaded.

All of the tool buttons in XvtED have floating hints so if you are unsure of a button's function, hold the mouse cursor over it to see the hint.

Main Toolbar
New Mission | Create a new blank mission. This will bring up the New Mission Wizard if the option is selected in Preferences.
Load Mission | Load a .tie file mission. A backup of the loaded file (backup.tie) will be created in your XvtED directory if that option is selected in Preferences.
Save Mission As | Save mission under a new name. The appropriate directory is automatically chosen based on the mission type. The ".tie" extension is added by default.
Save Mission | Save the current state of the mission.
..
Move Up | Move all selected items up one level in their list. Works on FGs and Messages, depending on the active page.
Move Down | As above, move all selected items down.
..
New Item | Add a new FG or Message, depending on the active page.
Delete | Delete all selected FGs or Messages, depending on the active page.
Cut FG | Cut current FG (not for messages) and place it in the Clipboard.
Copy FG | Copy current FG (not for messages) and place it in the Clipboard.
Paste FG | Paste the current FG in the Clipboard to the FG list.
..
Error Check | An error check will be performed automatically when you save a file, but you can choose to do an error check at any time using this button.
Preferences | There are many preferences to customize the functions of the editor. Most may be left as defaults, however the directory preferences must be set correctly in order to some features to work properly.
.lst File Manager | Use the .lst File Manager to add your mission to the file(s) necessary for it to be available in the game.
Campaign/Battle Manager | Use this to define the list of missions and other details of custom Campaigns and Battles.
OPT File Manager | This is for quick swapping between custom OPT files and the defaults.
Map | The Map is where you can view and edit everything to do with ship placement, orientation and Waypoints, as well as deleting ships or adding them using the Icon palette.
Briefing Editor | Provides WYSIWYG playback and editing, as well as an Instruction List view and editing.
FG Libraries | FG Libraries allow you to store and reuse any number of FGs in any number of missions, using separate .fgp files.
Add to Library | Add all selected Ships to the current Library.
About | Details about the program's version, license and FAQ.
Next
..


XvtED Conditions

.
Mission Editing Overview
.
Mission Files Toolbar Conditions Goals & Strings Multiselecting Custom Lists

Conditions
Conditions are a major part of XvT missions and appear on several pages in the editor, but using them and setting them is always basically the same. Conditions are used for 2 purposes:
  • To define events or states which will trigger other events such as FGs arriving, departing, or changing orders.
  • To define the Goals which the Player must achieve in order to complete the mission and win bonus points.

..
Conditions have the form:

[Proportion] of [Class] [Index] must [State/Event]

where

Proportion | is usually expressed as a Percentage such as 100%, 75% etc., but has other options such as "At least one" or "All Player craft". ..
Class | is the group of Craft or Objects in the mission which the Condition depends on. The Class may be defined by characteristics such as Flight Group, Ship Type, Team or IFF, but you may also group them together in any combination using Global Groups or Global Units. ..
Index | defines which instance of the Class you are referring to, e.g.: Flight Group Alpha Ship Type X-Wings Craft with Orders Attack Targets ..
State/Event | defines the state the Class must be in, or the Event that must happen to it, in order for the condition to evaluate to true. e.g. must be destroyed There are two special values for this parameter: Always true: the condition will always evaluate to true. Never true: the condition will always evaluate to false. With these 2 values, the settings for the rest of the condition are irrelevant.

There are 3 forms in which conditions are used:

Double Condition Two conditions combined by an And/Or operator such that:

Condition 1 AND Condition 2: will evaluate to true only if both conditions are true.

Condition 1 OR Condition 2: will evaluate to true if either condition is true.

You must be careful with the Always true and Never true values.

If either Condition has the value "Never true" when using an AND operator, the whole Condition can NEVER become true.

If either Condition has the value "Always true" when using an OR operator, the whole Condition will be true as soon as the mission starts.

Quad Condition Two double conditions combined by an And/Or operator.
..
FG Goal This special case consists of only one condition, where the Class and Index cannot be altered as they are defined by the FG to which the FG Goal belongs.

Shown here is the interface for editing Conditions in XvtED.
Condition Edit Boxes
The four dropdown boxes correspond to the Proportion, Class, Index and State/Event elements of the condition. Below them are the text of each Condition and their And/Or operators, grouped into Double Conditions.

To edit any Condition simply click on its text with the mouse. Its text will become highlighted and it will be loaded into the drop boxes for editing.

Conditions may be stored and reused using the Condition Clipboard.

To add the currently displayed condition to the Clipboard use the + button beside the dropboxes. To access the clipboard double-click on the text of the condition. This will bring up the Clipboard with a list of all stored Conditions. Select the one you want and press Use, or double-click the selection to close the window at the same time.

Clipboard data will be automatically loaded and saved in your XvtED directory.

(Note that conditions which include Flight Groups will vary when using them in different missions as they are simply indexes into the FG list.)

Next
..


XvtED Goals

.
Mission Editing Overview
.
Mission Files Toolbar Conditions Goals & Strings Multiselecting Custom Lists

Goals and User Strings
Whenever a condition is part of a Goal (rather than a trigger), it has 3 User Strings associated with it. These are the descriptions a Player will see when he presses the G key to get a list of the mission goals.

The three strings correspond to the 3 states the Goal can be in:

Incomplete or Unresolved | The goal has not been achieved but it is still to possible to achieve it. (Not seen for Secondary goals.) ..
Success | The goal has been achieved. (Not seen for Prevent goals.) ..
Failure | The goal has not been achieved and it is no longer possible to achieve it, e.g. a goal to identify 100% of Transports, but one has entered hyperspace without being identified. (Not seen for Secondary goals.) .. ..
XvT will automatically create default Goal strings such as "T/F Alpha: Destroy", however it is possible to override the defaults by defining a custom User String.

XvtED User String edit boxes:
Setting any of these to a non-empty string will override the default string. You may want to do this for conditions involving Global Units or Global Groups (as XvT may not always provide useful default strings in these cases) or when the default string may give away more information than you want the Player to know, or just for more personalized messages.

Multi-selecting
An important feature to be aware of when selecting from lists in XvtED is multi-selecting changes. This feature is available for the Ship List and the Message List and means that when you make a change, it effects all selected FGs or Messages. Selections can be multi-selected using the Shift key, or use the CTRL key for non-consecutive items.
..
Multiselect before
Multiselect After
All parameters for Flight Groups are multi-selectable. This example shows Global Group, Global Unit, Waves, FG Size, Ship Type, Ship Name, FG Goals, and CMD being changed for multiple FGs at once.

All parameters for Messages except Text are are Multi-selectable.

Multi-selecting also works for Move Up, Move Down and Deleting Items.

..

Custom Lists
Most of the drop down lists in XvtED's main window are customizable. All that is required is the correctly named .txt file in your XvtED directory and it will be read in and used instead of the defaults.

Probably the only ones you'll need to worry about are those for FG Names (FGNames.txt), Team Names (Teams.txt) and Order Descriptions (OrdDesc.txt). The others may be of use if you want to translate them into different languages.


XvtED Global Goals

.
"Global Goals" Page

Global Goals Page
Global Goals
On this Page you define the Goals which, along with FG Goals, determine what each Team must accomplish in order to win the mission. Unlike FG Goals these Goals need not be restricted to what happens to FGs in the mission, but to any event a Condition can define.
On the left hand side of the page is the interface for editing the 3 types of Global Goals, on the right hand side are the User Strings for each of the 4 Conditions for each Goal type.
..
Team | Choose the Team that the current Global Goals relate to. ..
Primary Goals | Quad Condition, Mission Critical Goals. The Team must complete these goals in order to win the mission. ..
Prevent Goals | Quad Condition, Mission Critical Goals. The Team must prevent these Conditions from becoming true, so you must specify the conditions the Team must not allow to happen. e.g. if you want CRS Liberty to survive the mission, the Prevent Goal must be 100% of FG CRS Liberty must be destroyed. ..
Secondary Goals | Quad Condition, Non-Critical Goals. These are basically Bonus goals. The Player will not be aware of these Goals because there are no Incomplete strings shown in the in-game Goal list. However the Success string will show when they have completed the Goals. ..
Points | These are the Points that the Player will receive for completing each set of Goals. They will usually only be assigned to the Secondary Goals for bonus points.


XvtED Flight Groups Pt 1

..
"Flight Groups" Page
..
Ships Options Arrival Departure FG Goals Orders WPs Other

..
The Flight Groups page, along with the Map, is probably where you'll spend most of your editing time. On the left hand side is the Ship List showing all of the ships and Objects in the mission, and on the right is the "Datapad" where you can edit all of the parameters of each FG.
..
"Ships" Page
At the top of the Ships page is the mission's "count line":
It shows, from left to right:
  • The list number of the current FG and the total number of FGs in the mission.
  • The number of Craft in the mission when played at Medium difficulty. A mission may crash if this number is very high (around 150 or more.)
  • The (approximate) number of FGs in the mission 30 seconds after it starts. This counts the ships with no arrival condition and an arrival delay of no more than 30 seconds, to give some idea of whether you might be exceeding the 32 ship limit.
  • The number of Objects in the mission.

The following is a list of all known FG parameters in the order they appear in the Datapad:
..
FG Waves | The total successive Waves of the FG in the mission. All ships in a FG must leave or be destroyed before the next Wave can arrive. ..
FG Size | The number of Ships in the FG. The maximum FG size for XvT to function correctly is 6. Player FGs above 8 will crash the game and above 6 will mess up the way WAVs are played. I've tested A.I. FGs as large as 20 and there seems to be no limit to size of A.I. FGs (other than Formations only properly supporting 6 Ships). ..
FG Ship Type | The list shows all of the Ships and objects available in the game. Those enclosed in <> brackets are supported by the game but the necessary OPT files (3D Models) were not included with the game. If you select "Planet", use the Status 1 parameter to set the Planet type. ..
FG Name | This can be up to 20 characters. You can either select the box and edit the text there, or choose a Name from the drop down list. The list can be customized with your own set of frequently used Names. ..
Team | XvT supports up to 8 Player Teams. All Craft on the same Team are friendly, all craft on other teams are enemies by default, but can be set to be friendly using the Allied Teams box on the Teams page. ..
Player | Here you assign the Pilot of the Ship to be either A.I. or one of up to 8 Players. Player FGs which are not taken by a human player when the game is played will be assigned to AI unless the "Arrive only if Player Craft" option is selected on the Arrival page. ..
Ship # | This is the number of the Ship within the formation that the Player will fly. There seems to be no way to give the player ship number 1 unless there is only one ship in the FG. ..
Global Group | This is a way to group together multiple FGs for the purpose of referring to them in Conditions or Targets. E.g. if you have a convoy made up of different Ship types in different FGs, you could set them all to Global Group 1 and have Conditions such as "50% of Global Group 1 must be identified", or give FGs Orders such as "Attack Targets: Global Group 1". ..
Global Unit | Also used to Group together different FGs and can be used as above, with the difference that the group you define becomes a "custom flight group", in that all FGs with the same (non-zero) Global Unit number will be numbered and treated by the game as though they are in the same FG. This is also the only way to have more than 1 human Player in the same FG, by creating a different FG for each Player and setting them all the same Global Unit number. .. ..
Status 1 and 2 | These parameters alter the state of the ship to give it specific advantages/disadvantages. There a couple of useful "cheats" you can use while testing your missions i.e. "Invincible" or "Infinite Weapons". ..
A.I. | Sets the level of Artificial Intelligence of the FG when not being controlled by a Player. ..
IFF | (Identification Friend or Foe) This does not actually determine whether a FG is friendly or not (that is determined by its Team settings) just what color it appears in your sensors. Player Craft should be either IFF Rebel or Imperial to prevent the mission from crashing (unless it's a melee). I've heard reports of other IFFs being possible for Player craft as long as Player 1 is Rebel or Imperial, but experiment at your own risk! ..
Color | The color of the markings on the ships, with values: Red, Gold, Blue, Green. TIE craft lag behind in the color list by one, with values: <none>, Red, Gold, Blue, unless it's a melee where I think the colors are the same for all ship types. ..
Radio | This determines which FGs are in Radio contact with each other. You can select contacts by individual Player or Individual Team. ..
Formation | There are 32 different formations to choose from. The 'Single Point' option is not really a formation; it means that all Ships will occupy the same point in space and is included if anyone wants to use if for special effects. 'Single Point' will crash the game if used for player FGs. ..
View Forms | Clicking the 'View Forms' button will bring up a window to display the X-Y, X-Z and Y-Z view of the currently selected Formation. You can cycle through them and hit 'Use' to select the current Formation. There is an option in the FG Formation display to show the formation only for the current FG size. ..
Spacing | I'm not not sure what the units stand for but this determines the distance between ships in a FG. .. ..
Missile
Counter
Beam 		These are the Weapons which are available to the Player by default when they enter the Craft Configuration screen.
When part of a BoP Campaign, these will be the only Weapons available to the Player, even if optional weapons are set.
..
..
Cargo The Cargo you define here is what will be seen in the CMD display when this FG is identified.
(NOTE: The cargo of ships on the same Team will always be known to that Team, so it is not possible to I.D. a ship on your own Team.)

The Default cargo is what all craft in this FG will have, however you may have one craft (the "Special" Ship) which will contain the defined Special cargo.

The Special Ship can either be chosen at random by the game if the Randomize box is checked, or you can specify by number one of the Ships in the FG to be the Special ship.

Appears in... This determines which Difficulty Setting(s) the FG will appear in.

e.g. Useful for creating extra enemy FGs to appear if the player chooses to play your mission on Hard difficulty, or you can have alternative FGs such as an Enemy capital ship with "Officer" A.I. for <=Medium Level, and that same FG with "Top Ace" A.I. for Hard level.

Auto-link This is an option designed to speed up the editing of FGs.

With this option on, when you choose the FG's Team, that Team's matching IFF will be assigned automatically.Also if you choose a Ship type with a default IFF (e.g. TIE fighter - Imperial ) it will automatically set the IFF and the Team that has been defined as having that IFF.
(The IFFs used to "Autolink" are set on the Teams Page, unless it's a Combat mission where Team 1 must be Imperial and Team 2 must be Rebel)

This feature can be overridden by turning off the autolink for a particular FG, or the Autolink feature can be turned off globally from the Preferences page.

Next


XvtED Flight Groups Pt 2

..
"Flight Groups" Page
..
Ships Options Arrival Departure FG Goals Orders WPs Other

"Options" Page
CMD/ FG's Role | The Role chosen here will determine what description different Teams will see on their screen when this FG is selected in their CMD e.g. Team 1 may see "Our Mission Critical Craft", while Team 2 may see "Primary Target". This selection also determines whether, and which set of, audible messages you will hear from your Tactical Officer e.g. "Message from our Mission Critical Craft; they're under attack."
Optional Weapons | These are the alternative weapons the player will have to select from in the Craft Configuration screen before the mission starts. The "All options" button toggles all selections on/off. ..
Optional Ships | These are the alternative Ships the player will have to select from in the Craft Configuration screen before the mission starts. To create your own list of optional ships choose "User Defined Options", then click on highest empty slot and choose the Waves, Size and Ship Type in the coloured boxes. You can create up to 10 alternative Ship configurations.

"Arrival" Page
Via | The default Arrival method for a FG's waves. You can choose from having the FG arrive via Hyperspace or a specified Mothership. (You will need to create the Mothership before you can set it here.) ..
Alternative | The alternate Arrival method if the default method is not available e.g. its Mothership has been destroyed. ..
Condition | A Quad condition to trigger the FGs arrival in the mission. ..
Delay | The delay in minutes and seconds after the Arrival condition becomes true before the FG arrives in the mission. ..
Arrive if Player Craft | When this option is selected the FG will only appear in the mission if it is piloted by a Player. ..

"Departure" Page
Via / Alternative | Work the same as the Arrival options, but for the Departure method. ..
Condition | A Double condition to trigger the entire FG's departure from the mission. ..
Abort Mission... | This is the state an individual craft must be in for it to abort its mission, (unlike the Departure condition which applies to all Ships in the FG.) The "shields out/damaged" option doesn't really work for small craft whose shields recharge quickly, it should only really be used for large ships.
Explosion Time | The time it takes for a ship which has been destroyed to actually disappear. This parameter only affects non-fighter craft. An approximation of the explosion time is shown beside the spin box as you change the values.

"FG Goals" Page
Goal | This is a list goals which are dependant only on the FG to which they belong. There can be up to eight goals per FG. The goal itself is a special case Condition where the must parameter is variable to make them Prevent goals (must NOT) or BONUS goals. Just select an empty goal slot and edit its parameters in the boxes above. ..
Applies to Team | In mission types other than Melees, this seems to work as the Team to which the Goal applies. For Melees, it seems work differently but I'm not sure how. As far as I know there is no point assigning FG Goals to non-Player Teams. ..
Time | I've never tried this but I believe it is the time limit that a goal is available to be completed. ..
Points | The points which will be awarded if the Goal is completed. ..
? | This Unknown flag seems to have to be checked for Team 1 and unchecked for Team 2, but if you find your FG goals aren't working as they should, try changing this. ..
User Strings | There is a set of Users Strings for each FG Goal. To edit these, first select the desired goal in the list.
Next
..


XvtED Flight Groups Pt 3

..
"Flight Groups" Page
..
Ships Options Arrival Departure FG Goals Orders WPs Other

"Orders" Page
Order This is a list of all know Orders that can be assigned to a FG. A brief description of the Order will be displayed below the selection box. There are some Orders (such as "Attack Targets") which are not suitable for large ships due to the way they will manoeuvre, however there are "Starship" versions of the same Order.

All craft in the same FG have the same Orders. Many orders will require valid Targets and/or Order Parameters to be set in order for them to function correctly.

Next to the Order selection box is the + button for adding the currently displayed Order to the Order Clipboard. This works in the exactly the same way as the Condition Clipboard.

Targets This is where a lot of people get into trouble, so I'll try to explain it in detail.
There are 2 sets of Targets: Primary and Secondary:
Each set has 2 target Classes (A and B), which each specify:

Target Type (e.g. IFF) and an Instance of that type (e.g. Imperial).

Each set also has an Either A or B flag which determines how the 2 Classes are treated. If it is unchecked, this FG may target FGs which fit either Class A or Class B, if it is checked, it may only target FGs which fit both Class A and Class B.

In the example above, the FG's Primary Targets are Flight Group T/B Alpha as well as Flight Group T/B Beta.

Its Secondary Targets are only FGs which are both in Ship Category Starfighters and are IFF Imperial.

Be careful to assign valid Targets, as A.I. controlled FGs will leave the mission if there are no FGs which match their specified Targets.
..

Order Parameters These are the 2 parameters below the Targets whose meaning varies depending on the current Order. The labels next to the spin boxes will describe their effect where known.
..
Description This is the Order Description which will appear next to the FG when you enter a mission. You can select the box and type in a Description, or choose one from the drop down list, which is customizable.
..
Throttle This the percentage of full throttle the FG will begin the mission at.
For Capital Ships that you want to "Sit and Fire" set this to 0% and give it an order such as "Patrol and Attack".
..
Speed This setting is the top speed the FG can travel at, in MGLT.

This only has effect when the Throttle is set to 100%.

It also works for Player Craft, but it is a cheat as it remains your top speed regardless of your power distribution.

Order List A description of the FG's 4 Orders is shown at the bottom of the page. To edit any one of them click on its text, or double-click to bring up the Order Clipboard.

Orders will be carried out in sequence from 1 to 3.

Order 4 is the "Jump to" order i.e. the FG will jump straight to this order as soon as its Jump Condition (on the "Other" page) becomes true.

"WPs" (Waypoints) Page
Waypoint Grids There are 2 Grids on this page with which you can edit all of the 3 dimensional points used to place the FG and define its movements, although this can also be done in the Map a lot easier.

The grid on the left shows the WP data in kilometres, the grid on the right shows the same data in "raw" form, without being converted to kms.
Beside the left grid is the Enabled list. You enable a WP by clicking on this list to highlight its name. If a WP is not enabled, it effectively does not exist.

The different types of WPs are:

Start 1-4 | A ship will begin the mission at its Start Point 1, unless the in-game "Randomize" option is chosen, in which case its start point will be randomly chosen from one of the 4 Start Points.
WP 1-3 These 3 WPs are used to define the flight path that a FG will follow if it has "Fly Once" or "Circle" type order, or while it is has no Targets to attack.

They will travel through all enabled WPs in sequence, then repeat the path as many times as their Orders require, or until their Targets arrive.

Craft will begin the mission facing WP 1 (if it is enabled, if not it will lie parallel to the Y axis.) A ship with Start 1 and WP 1 having the same co-ordinates (and WP 1 enabled) will lie at 45 degrees to each axis.

Hyperspace | This is the point a FG must fly to before it can enter Hyperspace.
Set to Start 1 Pressing the "Set to Start 1" button will set the Briefing co-ordinates for the current FG to match it's Start 1 co-ordinates for all briefings. This is an easy way to get a basic layout for your Briefing Icons.

There is similar option in the Briefing editor to set the Briefing points of all FGs to their Start 1 co-ordinates for the current Briefing.

Raw Data For WPs to be displayed in kms, the actual number stored in the mission files must be divided by 160. The result is then displayed to 2 decimal places. This means that editing is accurate to .01 kms, when actually it's possible to edit them to .005 km (but NOT .001 km).
The "Raw" grid shows the numbers as stored in the mission files. Editing these numbers by 1 unit will give the smallest possible increment.
..
3 Decimal places This option will round off the conversion to kms in the WP grid to 3 decimal places rather than the default 2.

"Other" Page
Orientation | This option only works for objects, it does not work for shielded Craft. Each successive value increases the angle of rotation. Points where the object is Flat, On Edge and Upside Down are marked in the list. ..
Jump to Order 4 | Double Condition which will trigger the FG to Jump immediately to Order 4. ..
Unknowns | There are several labels showing values from different parts of the mission files. These are parameters that have been used in the official missions (i.e. have had non-zero values) but their purpose is unknown. The Edit Unknowns button brings up a window where you can edit these values if you want to experiment with them.
Next
..


XvtED Ship List

..
"Flight Groups" Page
..
Ships Options Arrival Departure FG Goals Orders WPs Other

Ship List Display
The Ship List shows many of the details of the Ships in the Mission at a glance.

Each FG and Object is displayed in the ship list in their IFF color, in the general form:

Team Global Group - Global Unit Player # Waves x [FG Size] Ship Type Name

Special symbols:

? | In front of a Player means this FG has the "Arrive only if Player" flag set.
Appear in Difficulty | Displayed after Global Unit if the FG is set to appear in a difficulty level other than "All Levels".
* | Displayed after FG name for FGs with CMD Role set to "Mission Critical Craft" for any Team.
^ | Displayed after FG name for FGs with CMD Role set to "Primary Target" for any Team.

Following the FG Name, FGs with Bonus FG Goals are marked with +, FGs with mission critical FG Goals are marked with with details of the goals in the form:

[ Team # Goal applies to N (if it is a 'NOT..' goal) FG Goal's Condition ]

where the FG Goal's Condition are represented by:

d | destroyed
di | disabled
dk | docked
c | captured
b | boarded
bg | bagged
a | arrive
i | inspected
w | withdraw
m | complete mission
* | any other condition

e.g. [1d,2Ni] means: Team 1:the FG must be destroyed, Team 2: FG must NOT be inspected.

You can toggle the FG Goal details on/off with CTRL-G.


XvtED Messages

.
"Messages" Page
The Messages page is where you can edit all of the parameters of Messages and their trigger conditions, and assign WAV files to be played along with them. All Message parameters except Text are Multi-selectable.

Message Parameters
Text | Can be up to 64 characters in length. ..
Color | The color that the message will be displayed in the game. This is usually the same as the IFF of the Team that's supposed to be sending the message. ..
Condition | A Quad Condition to trigger the Message being sent. ..
Delay | The delay after the trigger Condition becomes true, in intervals of 5 seconds, before the Message is sent. ..
Seen By | The list of Teams to which the Message will be displayed. Highlight the Team name to select it. If a message is unseen it will appear grey in the Message List. ..

WAV .lst Files
All XvT/BoP missions can have a matching WAV .lst file which defines the list of .WAV files to be played along with the text messages. This .lst file must have the same name as the mission file, but with a ".lst" extension, and be in the \Wave directory i.e. XWingTie\Wave or XWingTie\BalanceOfPower\Wave depending on the mission format.

If a matching .lst file exists for a mission, it will loaded automatically by XvtED when you load the mission. When you select a Message from the list which has a matching WAV assigned, the WAV file will be played (if the "Autoplay" option is selected.)

If you want to see how it works, load one of the original XvT training missions (NOT the BoP training missions) because most have an associated WAV .lst file.

It is important to note that there is a maximum of 19 WAVs that can be used in a mission (without them replacing WAVs such as wingman acknowledgements.) Only 16 are available for custom Messages, the others are reserved for Goal results:

  • The first 16 in the list will be played along with their corresponding text message
  • The 17th played when Primary goal is completed
  • The 18th when Secondary goal is completed
  • The 19th when Primary goal is failed

WAV File Manager
Using the WAV file manager you can easily create WAV .lst files and assign WAVs to your Messages.

The functions of the WAV manager are:

..
Create Creates a .lst file in your \Wave directory with the same name as your mission (so the mission must be named first.)

When a .lst file is created by XvtED, all entries are set to dummy.wav, which is just a bit of silence which is used when you don't want to hear a WAV played along with a particular message.
..

Save Saves the current state of the WAV file.
..
Clear Sets WAV for current message to dummy.wav.
..
Assign Brings up a Load file dialogue to choose the .WAV to assign to the current message.

The .WAV files you use must be in your \Wave directory or a subdirectory of it. So you can create new folders within the \Wave directory and put your own samples in there.

NOTE: You can only use a sample once per mission. If you assign the same WAV to more than one message, you will only hear it for the first message.
..

List WAVs Brings up a text list of the WAVs included with the game, (it's not a complete list but the useful ones are there, with an asterisk next to the ones I think are most useful.)

Select the WAV you want to add then press OK to assign it to the current Message (or double click the list to select and close at the same time.)

The options on the side will switch between voices.

Message List

Messages have an * before their text to indicate that a non-dummy WAV file has been associated to it.

Double clicking the message list will bring up the list of WAVs included with the game, double clicking that list will close that window with the selected WAV assigned.

Instead of * to indicate a WAV is assigned to the 17th, 18th and 19th position in the .lst file, I've used (S), (2) and (F) to indicate they are assigned to the Primary Goal Success, Secondary Goals success, and Primary Goal Failure respectively.


XvtED Text Sections

.
"Description" / "Debriefings" Pages

Text Sections
There are 3 relatively large sections of text you can use to give the Player information about the mission:
..
Mission Description Pre Mission. This is the overview of the mission that will appear when the Player chooses a mission from the Select Mission screen.
XvT: | Up to 1024 characters. Just a Brief Overview of the mission.
BoP: | Up to 4096 characters. Can be a Brief Overview for single missions, or for Campaigns it can be used to carry a part of the overall story line.
Success Debriefing Post Mission, seen during BoP Campaigns only. Up to 4096 characters.

Usually a summary of the mission and a continuation of the story line.

Failed Debriefing Post Mission, seen during BoP Campaigns only. Up to 4096 characters.

Used to give hints and advice on completing the mission.


XvtED Teams Page

.
"Teams" Page

Team Parameters
Although parts of the mission files provide entries for 10 Teams, the game only supports 8 Player Teams. On this page I have allowed editing of 10 Teams in case you want to set the Name, IFF and Allegiance of the extra 2 Teams.
..
Team Name | Will be seen in-game at the top of the Briefing screen for Player Teams. Otherwise it just makes it easier to keep track of which Team is which while editing. ..
IFF for Auto-link | This parameter is not a part of Mission files, it is just for the editor's Auto-link function and the IFF of the different icon palettes in the Map. When loading, it is set by taking the IFF of the first FG it finds for each Team, but you can set it here manually of you want to change it. ..
Link by Radio | Links all craft in the current Team by radio by setting their Radio parameter to that Team, e.g. All FGs on team 1 will have their Radio set to "Team 1". This is really only relevant to teams with Player craft on them, so that Players can give orders to craft on their team. ..
Completion Messages | These are the messages that will be played automatically when the outcome off the mission has been decided (success or failure of the Primary Goals) or when the Secondary Goals have been completed. ..
Allied Teams | All Teams are hostile to each other by default, but here you can choose Teams to be friendly to the current Team. Highlighted = friendly.


XvtED Map Pt 1

.
Map
.
Basics Mouse Add/Delete FGs View Filters WP Info K/B Shortcuts

The Map is where you can view the FG placement in the mission, as well as view their flight paths as a line joining all WPs. You can also edit all WP placements by dragging them around with the mouse, as well as adding and deleting whole FGs. There are a lot of options in Preferences to control the way the Map functions.

Basics
The Map provides a drag-and-drop method of setting all of the 3D points used by FGs, so just click on a point and drag it to where you want it.

The FGs are shown either as an icon or a wireframe (Toggle between them using CTRL-I.) The wireframe will show the correct size and orientation of the craft. To drag a wireframe click on the white dot which will show its centre.

Note there is only 1 craft shown per FG.

Curr FG Box
Curr FG
The Current FG can be chosen either from the "Curr" Selection box at the top of the window, or by clicking on its image or any of its WPs. The current FG is then highlighted with a yellow box.

When moving from the Main edit window to the Map, the current FG in the main window will become the current FG in the Map, and vice versa.

The basic toolbar controls are:

Fit To Battlefield | This automatically adjusts the position and zoom of the Map to fit all ships in the mission. In Preferences you can link this to the mouse double-click, so if you're working in close you can double-click out to instantly see the whole battle, rather than zooming out by steps.
Centre Map | Centre the Map at 0,0.
Centre on Current FG | Centres the Map on the current FG.
Edit WPs | Brings up a small window to edit and enable/disable the WPs of the current FG.
Back to Main | Return to Main editor window.
Options Panel | Brings up a small panel with more options.
Axis View | This selects the position to view the mission from.
AutoCentre | Controls what will happen automatically when you change from one Axis View to another. From left to right they are: Fit To Battlefield, Centre Map, Centre on Current FG, and Zero vertical axis.
Show names | Shows the names of each FG next to their Start 1 position.

There are a couple of options to control the way in which points can be dragged, which can help with the alignment of different FGs:

Drag Locks
These control which co-ordinate of a WP can be adjusted while dragging it with the mouse.

The 1 button will lock a FG's Start Point 1 only (the position of its image) in both directions so that it cannot be moved at all. This is useful when working only with other WPs and you want to be able to click on icons to change the Current FG without accidentally moving its Start position.

The X button will lock the WP's current X co-ordinate so you can only drag it straight up and down, and the Y button will lock the Y co-ordinate so you can only drag it left and right.

Snap
When you drag a WP, the placement will be limited to the selected increments. There are are separate Snap values for X and Y movement.

Next


XvtED Map Pt 2

.
Map
.
Basics Mouse Add/Delete FGs View Filters WP Info K/B Shortcuts

Mouse Control
Although the Map provides a manual Zoom bar and scroll bars, the easiest way to move the Map and zoom in and out is by using the mouse buttons.
Zoom in | Hold down the left mouse button on the map (somewhere other than a WP) and the Map will automatically Zoom in. The speed is adjustable in Preferences.
Zoom out | Double-click the left mouse button will Zoom out in steps. It can also be linked to Fit To Battlefield in Preferences.
Move | Right-click on the part of the Map you want to move to and it will centre on that point. Repeatedly right-clicking at one point on the Map will keep you moving in that direction.

..

Adding and Deleting Ships
You can both add and delete FGs while in the Map. To delete the currently selected FG just press the Delete key, to add a FG, use the Icon Palette:
Icon Palette
The Palette button will bring up a display of all of the available Ship icons.

The up and down arrows will select the Team of the FG you add (The IFF color will be determined by the Autolink IFF on the Teams page.) To add a FG, just click on the ship type you want and drag it onto the Map to place it.

..

View Filters
There are 4 "filters" to select which FGs are displayed in the Map. A FG must match all filters for it to be displayed:
Difficulty Filter
These buttons will show the FGs that appear when the mission is played at Easy, Medium or Hard difficulty. If all buttons are up, all difficulty levels will be shown.

This panel contains the other 3 filters:

IFF Filter - The six colored buttons on the left represent the 6 IFF colors. An IFF is displayed only if its button is pushed in.

Ship Category Filter - These 6 buttons on the right divide the Ships up into their classes as defined for the "Ship Category" option for Targets or Goals. A ship category is displayed only if its button is pushed in.

Within 30 seconds Filter - The "clock face" button in the centre limits the display to all ships that have no arrival Conditions, and arrive within 30 seconds of the mission start.

The All button will reset the filters to show all FGs.

..
There are 2 other options to limit the displayed FGs:

FG List
This button will bring up that Map's FG List on the left side of the Map. You can multi-select this list to display any combination of the ships in the mission. (Selections here will override the Filter buttons.)

Current FG Only
Displays only the Current FG. While this setting is on, you can change the Current FG using the Selection box or the FG List.

Next
..


XvtED Map Pt 3

.
Map
.
Basics Mouse Add/Delete FGs View Filters WP Info K/B Shortcuts

Working with WPs
WPs determine where a FG begins the mission, which direction it is facing at the start of the mission, and its flight path. XvtED's Map is designed to make setting these WPs as easy as possible by linking them visually and providing some additional information.

..

A FG's enabled WPs are shown linked as follows:
There is a solid line in IFF color from the FG's Start 1 position to its WP 1. (Start points 2 to 4 will be unlinked dots.) This will indicate the direction a ship will be facing at the start of the mission (as shown by its wireframe.)

WPs 1 to 8 are joined by a dotted line in IFF color.

A white dashed line will join the last enabled WP to the Hyperspace point.

Show WPs
These buttons will show all enabled WPs for All craft or just the Current craft. Release both buttons to hide WPs.

Some useful information can also be displayed at each WP. There are flags on the Options panel, or use keyboard shortcuts to toggle them on/off:

Waypoints + info

D - Distance: shows the total distance from Start point 1 to that WP.
T - Time: Shows the ETA of a Craft at that Waypoint, taking into account its Speed and throttle settings.

..

Map Keyboard Shortcuts
Enter | Centre Map
Space | Show All FGs
F | Centre on Curr FG
F1 | X-Y View
F2 | X-Z View
F3 | Y-Z View
P | Icon palette On/Off
1 - 0 | Team of icon palette
Z | Zoom in
X | Zoom out
A | Zoom to 800
S | Zoom to 16
+ | Zoom in by steps
- | Zoom out by steps
C | Show Current FG only
L | Lock Start Point 1
N | FG Names On/Off
W | WPs On/Off
H | include Hyperspace points when WPs linked
T | ETA of FG to that Waypoint
D | Distance from Start Point 1 to that Waypoint
CTRL-S | Save mission
CTRL-I | Toggle icons-only on/off
CTRL-G | Toggle grid on/off
CTRL-W | Toggle waypoint state between "always shown" and "shown only for craft on screen".


XvtED Briefing Editor Pt 1

.
Briefing Editor
.
Overview WYSIWYG Instruction List Strings Accessories Adding Instructions

Overview
An XvT briefing basically consists of a series of instructions, carried out in sequence, which tell the Briefing map which animation action to carry out or which piece of text to display.

Instructions have the form:

[Time] [Instruction] [Index] [X co-ord] [Y co-ord] [Color]

The Index, X, Y and Color values are required only in certain instructions.

In XvtED these instructions can be added from both the WYSIWYG page, and the Instruction list page. If added from the WYSIWYG page, they will be inserted at the current Playback time. If added from the instruction page they will be inserted at the currently highlighted position of the instruction list.

There can be up to 8 different briefings (1 for each Player Team) although you'll probably never need that many. Each Briefing can be shown to any number of Teams, and one per side in a Combat mission should be the most you'll ever need.

There is also an Auto-Brief function to create a basic Briefing.

..

"WYSIWYG" Page
Playback Map
The main feature of this page is the Briefing Playback Map. This where you can view the view the Briefing (close to) how it will appear in the game.

You can also drag the icons, or map Tags when they are visible, around on this Map to adjust their positions. To grab a Tag, click near its left hand end.

Playback Controls
Located below the map, the functions are:

Loop Back | Loop back to the beginning of the Briefing and begin playing.
Stop | Stops playback and returns to the beginning of the briefing.
Pause | Pauses playback at current position, or releases pause if already on.
Previous Instruction | Rewinds to previous instruction. Continues playback if already if playing.
Play | Continues playback from current position.
Step Forward | Advance the current Time by .05 seconds (the smallest increment). Pauses if playing. Useful for accurate placing of instructions.
Next Instruction | Advances to next instruction. Continues playback if already playing.
Next Stop Point | Fast forward to next Stop point. Continues playback if already playing.

..
Snap and Lock
These functions work the same way they do in the FG Map, except that the Snap increments are relative to Map grid lines rather than kms.

Seen By
Highlight each of the Teams that will see this Briefing.

Total Running Time
Set the Total length in seconds that the Briefing will run before returning to the start. Make sure this is long enough to run all the instructions in your Briefing.

Show Name
Displays the FG names next to their icons (in XvtED only, not the game.)

Pause at Stop Points
The briefing will pause when it reaches a Stop point instruction.

Next
..


XvtED Briefing Editor Pt 2

.
Briefing Editor
.
Overview WYSIWYG Instruction List Strings Accessories Adding Instructions

"Instruction List" Page
On the left side of this page is the Instruction list showing the details of each instruction in the Briefing, on the right is the interface for editing the parameters of the instructions.
The Instruction list shows the value of each parameter in each instruction.

As you click on this list, the selected Instruction will be shown in the edit boxes on the right. Different boxes become visible for different instruction types.

Time & Instruction

These 2 boxes are always available, as all instructions require a Time parameter, (show in "raw" format with the conversion to seconds above,) and an Instruction type. There are several options in the Instruction list which are unused and so are represented only by numbers.

Beneath these boxes is the Time Adjustment Increment:

From here you can select the increment that the Time value will change by in the Time spin box. The options are shown in seconds, i.e. 1/20 sec = 1 "raw" unit.

Adjust time for all following instructions
Selecting this option will mean that increasing or decreasing the Time of an instruction will adjust the Time for all of the following instructions by the same increment, allowing you to 'slide' the rest of the briefing back and forth to adjust the length of time between events.

Briefing Size
Gives an indication of how many numbers make up your Briefing Instructions, out of a maximum 400.

Unknowns
The effects of these three parameters is unknown, but you can get away with leaving them all as zero.

..

"Strings" Page
This is where you define all of the text strings that will be used as part of your Briefing. There are 2 types of strings:

Map Tags
Map Tags are short descriptions, usually FG names, that will be placed on the Briefing Map itself, among the icons.

Briefing Text
These are the longer sections which will describe the mission in detail, and appear underneath the Map. XvtED uses the first string in this list as the caption in the main window, so it's a good idea to make the first string your mission title.

You can also highlight a section of a string by enclosing it in [ ] brackets, e.g:

"This is [highlighted] text" will appear as:
This is highlighted text

..

"Accessories" Page
Auto-Brief
This is a function to create a simple Briefing that will show all non-empty Briefing Texts (excluding the first 'title' one) in sequence, for the specified number of seconds each. Each Briefing text will also be separated with a Stop instruction.Using Auto-Brief should create a reasonable skeleton onto which so you can add more instructions.

Addition options are:

Box FGs... | This will automatically add instructions to Box a FG if it is mentioned in the currently displayed Briefing Text and its name is highlighted within that text using [ ] brackets. If there is more than 1 FG with the same name they will all be boxed, 1/4 second apart.
Begin Centred on | Here you can choose the Briefing to begin centred on one of the FGs in the mission. ..
Begin at Zoom | Set the Zoom level that the Briefing will begin at. ..
If either of these last two options are chosen, the instruction will be repeated near the end of the Briefing so the map will return to its starting state rather than "jump" back to the start.

Copy Briefing
You can use this to copy the details of the current Briefing to one of the other 7 Briefings. You can copy the Briefing strings and instructions, or the icon layout on the Map, separately.

Set Icons to Start 1
This will set the placement of the icons in the Briefing to the same as the FG's start 1 positions in the mission. It will do this for all FGs, for the currently selected Briefing only. This option is also available from the right-click pop up menu of the Briefing map.

Next
..


XvtED Briefing Editor Pt 3

.
Briefing Editor
.
Overview WYSIWYG Instruction List Strings Accessories Adding Instructions

Adding Instructions
This section will explain the function and parameters of each of the Briefing Instructions, and how to add them from both the WYSIWYG page and the Instruction List page.

Instructions are added using the various insert instruction buttons on the Toolbar:

..
When adding instructions from the Instruction List page, the instruction will be inserted into the currently highlighted point in the list.

E.g. to add a Move Map instruction into the Instruction list, first select the position in the list that you want to add it.

Instruction List before

Hit the Insert Move button and the Item is inserted with the same Time value as that selected slot.

Instruction List after

You can then increase the Time of the following instruction, with the Adjust for all... option on, if you want to give the new instruction some space .

The Instruction List is useful for deleting Instructions, changing their sequence, and tweaking their parameters.

You can also change the sequence of events using the [image] [image] buttons.

..
When adding from the WYSIWYG page there is no need to pause the Briefing before you hit one of the buttons, although it will be easier to place them more accurately. If it is playing when you insert an Instruction the playback will either continue, if the instruction requires no other parameters, or pause to display visual controls with which you can set the rest of the parameters. The descriptions below assume you insert the instruction while playing.

Note that the Title Text instruction, while used in the official missions, is not used by the game engine and so has no function. The title seen in the game comes instead from the mission's description in the .lst files.

..Stop Point Required parameters: None

This is not an animation instruction, but simply defines the point the briefing will jump to when the Forward button is clicked while watching the Briefing within the game.
WYSIWYG:
Play the Briefing to the point you want to insert the stop point and just hit the button. Playback will continue.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button.

..Move Map Required parameters: X, Y

This will cause the map to move from its current position and scroll so that it ends centred on the specified co-ordinates.
WYSIWYG:
Play the Briefing to the point you want to move the map then hit the button. Playback will pause and X and Y scroll bars will appear at the sides of the map.

Map + scroll bars

Use the scroll bars to move the map to the position you want and press the Done button that appears.

Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. In the edit boxes that appear, type in the X and Y co-ordinates (in kms) that you want the map to move to.

Alternately, you can select a FG from the drop box and the X and Y co-ordinates will automatically be set so that the Map will move to be centred on that FG. When you want to centre on a FG, this is easier than using the scrollbars to line the Map up on a specific FG.

..Zoom Required parameter: X

This will cause the whole map to zoom in or out from its current zoom level so that it ends at the specified zoom level. In this case the X parameter is the zoom level rather than a co-ordinate, and the Y value is automatically locked to X.
WYSIWYG:
Play the Briefing to the point you want to zoom the map, then hit the button. Playback will pause and a zoom bar will appear under the map.

Map + zoom bar

Adjust the zoom with the zoom bar and press the Done button.

Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Type in the zoom factor you want in the X edit box that appears.

..Briefing Text..Required parameters: Index

Displays the specified Briefing Text at the bottom of the Map. It will replace any text previously displayed there.
WYSIWYG:
Play the Briefing to the point you want to insert the stop point and hit the button. Playback will pause.
From the drop down list, select the Briefing Text you want to be seen at that point and press the Done button.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Select the Briefing Text you want to use from the drop down list that appears.

..Box FG Required parameters: Index

Shows an animation of a box enclosing the specified FG. There are 8 different boxes available, and actually 8 different instructions: FG Box #1 to FG Box #8. Using the same box more than once in a briefing will mean it disappears from around the FG it was the previously assigned to (if it hasn't already been cleared with a Clear Boxes instruction.) XvtED will attempt to use the next box in sequence when you hit the Box FG button.
WYSIWYG:
Play the Briefing to the point you want to insert the stop point and just hit the button. Playback will pause.
Choose FG to box
Select which FG you want to box from the drop down list and press the Done button.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Select which FG you want to box from the drop down list that appears.

..Clear All FG Boxes.. Required parameters: None

Clears all currently visible FG Boxes.
WYSIWYG:
Play the Briefing to the point you want to clear the boxes and hit the button. Playback will continue.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button.

..Map Tag Required parameters: X, Y, Index, Color

Shows the selected short text at the specified position on the Map.There are 8 different Tag slots available, and actually 8 different instructions: MapTag #1 to MapTag #8. The program will attempt to use the next Tag in sequence when you hit the Map Tag button.
WYSIWYG:
Play the Briefing to the point you want to show the Map Tag and hit the button. Playback will pause.
Choose Map Tag
Select which Map Tag you want to use, and the color you want it to appear, from from the drop down lists. Click on the Map to set its X and Y co-ordinates. You can click as many times as you want until you press the Done button to save the position.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Select which Map Tag you want to use, and the color you want it to appear, from from the drop down lists that appears. Enter the X and Y co-ordinates of the top left point of the Tag.

..Clear All Map Tags ..Required parameters: None

Removes any currently visible Map Tags from the Map.
WYSIWYG:
Play the Briefing to the point you want to clear the tags and hit the button. Playback will continue.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button.


XvtED .lst File Manager

.
File Managers
.
.lst File Manager Campaign/Battle Manager OPT File Manager

.lst File Manager
The file Managers are intended to allow easy access to, and editing of, the various .lst files which control different aspects of the game.
..
.lst File Manager
The .lst file Manager deals with the files that determine which missions are available to fly from within the game. It will use the Mission Type setting and the IFF of Player 1 to load all the required .lst files from the appropriate directories in order to add it to the available mission list.

Each entry in these .lst files requires 3 lines, in this order:

Mission Number | This must be a unique number i.e. you can not have two different missions using the same number. ..
Mission name | The name of the mission file, including the .tie extension. ..
Mission description | A short description or title for the mission (This is the Title that will be displayed above the Briefing in the game.) .. ..
E.g:
87
Lost.tie
Lost in the Outer Rim

..
You can also include headings in these .lst files to separate groups of missions. These must also have 3 lines in the form:
..

//
[Title]
//
..
..
E.g:
//
[Outer Rim Missions]
//

Once loaded you can manually edit the files by typing in the details, or use the Auto Add option.

Your mission must be named and saved before you can use Auto-Add. The New Entry box will automatically prepare the next highest number available (i.e. the highest number in all the displayed .lst files, plus 1) and the mission file name.

You only need to add your description for the mission and press the "Auto Add" button to add these three lines to the end of each .lst file displayed.

The Backup now button will save the displayed state of each of the .lst files under the same name but with a "~.ls" extention.

Next
..


XvtED Campaign - Battle Manager

.
File Managers
.
.lst File Manager Campaign/Battle Manager OPT File Manager

Campaign/Battle Manager
..
Campaign/Battle Manager
This window will allow you to create your own XvT or BoP Battles, or BoP Campaigns. The method of creating Campaigns and Battles is the same, so I'll just refer to "Campaigns" in this section.

There are 2 steps required in this process:

  • Create the file with the details of your custom Campaign
  • Make that Campaign available from the selectable list within the game by adding it to the appropriate .lst files in exactly the same manner mission files are added with the .lst File Manager.

..
Creating a Campaign file

First choose the Custom List Type and, if a Campaign, the IFF of Campaign, from the boxes at the bottom of the page.

A Campaign file has 3 components:

  • The number of missions in the Campaign
  • A list of those mission file names
  • The text description of the Campaign you will see when you select it in the game.
The Campaign manager will automatically keep track of the number of missions in your campaign, so you don't need to worry about that entry.

On the left side of the window is a list of the missions available to add to the Campaign (the missions here will depend on the Custom List Type you have chosen, for Campaigns it is your BalanceOfPower/Train directory.) Below this list is a Subdirectory button to allow Browsing for missions that are not in the default directory for their mission type. This will only work for directories which are within the default directory.

You can either double-click on the missions you want to add to your Campaign, or multi-select them and use the Add button. The missions will appear in the list in the middle of the screen. You can move the missions Up and Down or Remove then from this list using the appropriate buttons, until you have the list of missions you want in your Campaign.

Finally you will need to write the text description of the Campaign in the Description box.

You can then name and save the Custom .lst file.

Making the Custom Campaign selectable

Go to the Mission/IFF .lsts page. You can follow exactly the same procedure as adding missions in the .lst File Manager to add your Custom .lst file here.

You should then be able to play BoP and chose your Campaign.

Note: Some people have reported that when they make a Custom Campaign and try to fly it, the wrong mission appears as the first mission. I believe the solution is to put your mission in the .lst files of your BalanceOfpower/Train directory in the same way the official missions are added i.e. in the form:

Mission Number
* Campaign Number 0 Mission file name
Mission Description
Next
..


XvtED OPT File Manager

.
File Managers
.
.lst File Manager Campaign/Battle Manager OPT File Manager

OPT File Manager
..
OPT File Manager
This ultity is for quick swapping of OPT files while trying out missions. This is not a neccessary part of mission building, only if you want to try out custom built ships. For more information on OPTs refer to the OPT Project at Datamaster's Website .

This works by changing only the entries in your specx640.lst files in your Ivfiles directories, it does not change or move the OPT files themselves.
(The specx320.lst files are not changed so these can be used as backups.)

If you have BoP you will have the option of making the changes to the XvT.lst files too.

To use the OPT File Manager, select a ship slot from the left column, (the OPT file entry currently in the specx640.lst is shown at the bottom of the box,) then select the OPT file you want to assign to that slot from the column on the right, and press the Assign button.

An * next to the ship slot indicates a non-default OPT is assigned to that slot. To restore the default OPT for that ship slot, press Restore.

Where the buttons are deactivated, the ship slot is not functional.

The column on the right will open to your preferred OPT directory as defined in Preferences. It must be XWingTie\Ivfiles, BalanceOfPower\Ivfiles, or one of their subdirectories. For convenience, I'd recommend making a folder (e.g.Custom) within your ivfiles folder where you put all your custom OPTs and install them from there.

It seems that the SAT/1 and SAT/2 slots are both assigned to the same OPT, so are effectively the same slot. The same goes for NAVs and PROBES.

You may also rename the selected Ship Slot by typing in a new name and pressing the Rename button. This only changes the name in the list within XvtED (by altering the Ships.txt file) for easier reference while mission building.


X-ED Overview

.
X-ED Overview

X-ED is a "spin off" from my XvT editor XvtED and as such, has a lot in common with it. This manual is also a conversion from XvtED's so some screenshots may differ from X-ED. All of the tool buttons in X-ED have floating hints so if you are unsure of a button's function, hold the mouse cursor over it to see the hint.

X-ED can be assigned to .xwi file types so that double clicking on an .xwi file will open the editor with the selected file loaded.

When loading a mission file a backup of it (Backup.xwi) will be made, so if you mess something up while editing it you can load Backup.xwi to get back the original. Remember, the backup file will be overwritten each time you load a new mission file.

X-Wing Files
Each mission for X-Wing requires 2 files with the same name but different extensions:
  • .xwi file containing the mission information, consisting of Flight Groups, Objects and Mission parameters
  • .brf file containing the Briefing information
Flight Groups and Objects are the most important parts of a mission, and are both edited on the "FGs" page:
Flight Groups (FGs) | These are the craft (including Containers) that will appear in the mission. There is a maximum of 16 Flight Groups in a mission. At least one of these FGs must have a mission critical objective, which must be completed in order to succeed in the mission.
Objects | Unlike XvT, Objects are not FGs, but have a different data structure. They Include satellites, probes, buoys, mines, asteroids and images of planets. Objects may also have the objective of being destroyed in order to succeed in the mission.

"Mission" page
Parameters found on the "Mission" page relate to the overall mission:
Completion Messages | These are the text messages that will be displayed when the player completes the mission objectives. .
Mission Time Limit | This is the amount of time the Player has to complete the mission objectives before failing the mission. If set to zero, there is no time limit. .
Mission Location | Determines whether the mission is played in open space or above the Death Star surface. .
Other | These options change depending on the Mission Location. The first two options select whether a pilot is rescued or captured if they eject, unless it is a Death Star mission, when the second option is a mission objective to Clear Laser Towers. The last option is also for Death Star missions to set a mission objective to Hit Exhaust Port. (The numbered options are unknowns and have never been used in official missions.)


X-ED Flight Groups

"Flight Groups" Page

The Flight Groups page is where you can edit all of the parameters of FGs and Objects. On the left hand side is the FG List, showing all of the Flight Groups in the mission, and the Object List, showing all of the Objects.

Changes to the parameters of FGs and objects are multiselectable, i.e. the changes will be made to all selected FGs in the list. Note that in X-ED multi-select does not work for Deleting FGs or Moving them up and down.

On the right is the "Datapad" where you can edit the parameters. Click on a FG or Object in their List and its details will be loaded into the datapad. Note that there are less parameters for objects than FGs.

"FGs" Page
At the top of the FGs page is the mission's "count line":
It shows, from left to right:
  • The list number of the current FG and the total number of FGs in the mission.
  • The number of Craft in the mission. (Of no real importance - a leftover of the conversion from XvtED.)
  • The number of FGs in the mission 30 seconds after it starts (as above)
  • The number of Objects in the mission.

The following is a list of the FG parameters in the Datapad:
FG Waves | The total successive Waves of the FG in the mission. All ships in a FG must leave or be destroyed before the next Wave can arrive. .
FG Size | The number of Ships in the FG. .
FG Ship Type | The list shows all of the Ships and objects available in the game. .
FG Name | This can be up to 16 characters. You can either select the box and edit the text there, or choose a Name from the drop down list. The list can be customized with your own set of frequently used Names by putting a text file named FGNames.txt in your X-ED directory. The editor will read this file in and use it instead of the default list. .
Arrive by Hyperspace | This flag determines whether a FG arrives via hyperspace rather than a Mothership. .
Depart by Hyperspace | This flag determines whether a FG can depart the mission via hyperspace rather than a Mothership. .
Mothership | Select the Mothership of the FG if it does not arrive and depart via hyperspace. .
Objective | Like FG Goals in XvT, these are what must happen to a FG or Object during the mission in order for the Player to complete the mission. FGs with mission critical objectives will have a brief description of them as part of their entry in the FG List.
Order | Select the orders for a FG to carry out in the mission. A FG can have only one Order per mission, to be carried out on its Primary target, then its Secondary Target. The fourth parameter of an Order represents either the percentage of full Throttle a FG begins the mission at, or the number of minutes of Docking time, depending on the Order.
Status | The ship can either be in a normal state, or one of 3 disadvantages: No Missiles, Half Missiles, or No Shields. .
A.I. | Sets the level of Artificial Intelligence of the FG. .
IFF | (Identification Friend or Foe) has the values Default, Rebel, Imperial, Neutral. As far as I can tell, the "Default" values are: Rebel: X-W, Y-W, A-W, B-W, CRS, FRG Imperial: T/F, T/I, T/B, T/A, GUN, ISD, TRN Neutral: Everything else .
Color | The color of the markings on the ships, if the ship has markings. .
Formation | Choose the formation pattern of the ships within a FG. .
Arrival This is the condition which will trigger the FG's arrival into the mission. You may also set a delay in minutes and seconds between the trigger condition occurring and the FG arriving.
Cargo The Cargo you define here is what will be seen in the target display when this FG is identified.

The Default cargo is what all craft in this FG will have, however you may have one craft (the "Special" Ship) which will contain the defined Special cargo.

The Special Ship# specifies which ship within the FG is the Special ship.

Player's craft | This flag will determine whether the current FG is the Player's ship. There can only be one Player's ship in the mission and it will be marked by a > symbol in the FG list. .
Player Pos | If the current FG is the Player's craft, this setting will determine which number craft within the FG the Player will fly. .
Waypoints (WPs) With the WP grid you can edit all of the 3 dimensional points used to place the FG and define its movements, although this can also be done in the Map a lot easier.

The grid shows the X, Y and Z co-ordinates (in kilometres) of each WP. Beside the left grid is the Enabled list. You enable a WP by clicking on this list to highlight its name. If a WP is not enabled, it effectively does not exist.

The different types of WPs are:

Start 1-3 | A ship will begin the mission from one of these randomly chosen Start Points.
WP 1-3 These 3 WPs are used to define the flight path that a FG will follow if it has Fly Once or Circle type order, or while it is has no Targets to attack.

They will travel through all enabled WPs in sequence, then repeat the path as many times as their Orders require, or until their Targets arrive.

Craft will begin the mission facing WP 1 (if it is enabled, if not it will lie parallel to the Y axis.) A ship with Start 1 and WP 1 having the same co-ordinates (and WP 1 enabled) will lie at 45 degrees to each axis.

Hyperspace | This is the point a FG must fly to before it can enter Hyperspace.


X-ED Map Pt 1

.
Map
.
Basics Mouse Add/Delete FGs View Filters WP Info K/B Shortcuts

The Map is where you can view the FG placement in the mission, as well as view their flight paths as a line joining all WPs. You can also edit all WP placements by dragging them around with the mouse, as well as adding and deleting whole FGs. There are a lot of options in Preferences to control the way the Map functions.

Basics
The Map provides a drag-and-drop method of setting all of the 3D points used by FGs, so just click on a point and drag it to where you want it.

Large ships are shown either as an icon or a wireframe (Toggle between them using CTRL-I.) The wireframe will show the correct size and orientation of the craft. To drag a wireframe click on the white dot which will show its centre.

Note there is only 1 craft shown per FG.

Curr FG Box
Curr FG
The Current FG can be chosen either from the "Curr" Selection box at the top of the window, or by clicking on its image or any of its WPs. The current FG is then highlighted with a yellow box.

When moving from the Main edit window to the Map, the current FG in the main window will become the current FG in the Map, and vice versa.

The basic toolbar controls are:

Centre Map | Centre the Map at 0,0.
Centre on Current FG | Centres the Map on the current FG.
Back to Main | Return to Main editor window.
Options Panel | Brings up a small panel with more options.
Axis View | This selects the position to view the mission from.
AutoCentre | Controls what will happen automatically when you change from one Axis View to another. From left to right they are: Centre Map, Centre on Current FG, and Zero vertical axis.
Show names | Shows the names of each FG next to their Start 1 position.

There are a couple of options to control the way in which points can be dragged, which can help with the alignment of different FGs:

Drag Locks
These control which co-ordinate of a WP can be adjusted while dragging it with the mouse.

The 1 button will lock a FG's Start Point 1 only (the position of its image) in both directions so that it cannot be moved at all. This is useful when working only with other WPs and you want to be able to click on icons to change the Current FG without accidentally moving its Start position.

The X button will lock the WP's current X co-ordinate so you can only drag it straight up and down, and the Y button will lock the Y co-ordinate so you can only drag it left and right.

Snap
When you drag a WP, the placement will be limited to the selected increments. There are are separate Snap values for X and Y movement.

Next


X-ED Map Pt 2

.
Map
.
Basics Mouse Add/Delete FGs View Filters WP Info K/B Shortcuts

Mouse Control
Although the Map provides a manual Zoom bar and scroll bars, the easiest way to move the Map and zoom in and out is by using the mouse buttons.
Zoom in | Hold down the left mouse button on the map (somewhere other than a WP) and the Map will automatically Zoom in. The speed is adjustable in Preferences.
Zoom out | Double-click the left mouse button will Zoom out in steps.
Move | Right-click on the part of the Map you want to move to and it will centre on that point. Repeatedly right-clicking at one point on the Map will keep you moving in that direction.

..

Adding and Deleting Ships
You can both add and delete FGs while in the Map. To delete the currently selected FG just press the Delete key, to add a FG, use the Icon Palette:
Icon Palette
The Palette button will bring up a display of all of the available Ship icons.

The up and down arrows will select the IFF of the FG you add. To add a FG, just click on the ship type you want and drag it onto the Map to place it.

..

View Filters
This panel contains the IFF Filter. The 3 colored buttons represent the 3 IFF colors. An IFF is displayed only if its button is pushed in. The fourth button determines whether objects are shown.

The All button will reset the filters to show all FGs.

..
There are 2 other options to limit the displayed FGs:

FG List
This button will bring up that Map's FG List on the left side of the Map. You can multi-select this list to display any combination of the ships in the mission. (Selections here will override the Filter buttons.)

Current FG Only
Displays only the Current FG. While this setting is on, you can change the Current FG using the Selection box or the FG List.

Next
..


X-ED Map Pt 3

.
Map
.
Basics Mouse Add/Delete FGs View Filters WP Info K/B Shortcuts

Working with WPs
WPs determine where a FG begins the mission, which direction it is facing at the start of the mission, and its flight path. X-ED's Map is designed to make setting these WPs as easy as possible by linking them visually and providing some additional information.

..

A FG's enabled WPs are shown linked as follows:
There is a solid line in IFF color from the FG's Start 1 position to its WP 1. (Start points 2 and 3 will be unlinked dots.) This will indicate the direction a ship will be facing at the start of the mission (as shown by its wireframe.)

WPs 1 to 3 are joined by a dotted line in IFF color.

A white dashed line will join the last enabled WP to the Hyperspace point.

Show WPs
These buttons will show all enabled WPs for All craft or just the Current craft. Release both buttons to hide WPs.

..

Map Keyboard Shortcuts
Enter | Centre Map
F | Centre on Curr FG
F1 | X-Y View
F2 | X-Z View
F3 | Y-Z View
P | Icon palette On/Off
1 - 4 | IFF of icon palette
Z | Zoom in
X | Zoom out
A | Zoom to 800
S | Zoom to 16
+ | Zoom in by steps
- | Zoom out by steps
C | Show Current FG only
L | Lock Start Point 1
N | FG Names On/Off
W | WPs On/Off
H | include Hyperspace points when WPs linked
CTRL-S | Save mission
CTRL-I | Toggle icons-only on/off
CTRL-G | Toggle grid on/off


X-ED Briefing Editor Pt 1

.
Briefing Editor
.
Overview WYSIWYG Instruction List Strings Adding Instructions

Overview
Briefings in X-Wing have some elements not used in XvT. Firstly, X-Wing briefings consist of several Pages, usually with the first being the Map animation page, and the rest being pages of full text. Secondly, the Flight Groups shown in the Map are a separate list from the actual Flight Groups in the mission, so that Briefing FG list can be a duplicate of the Mission's FG list, or it is possible to have different ships in the Briefing from those in the mission.

A Map animation page uses basically the same instructions as XvT briefings, with an additional one, Clear Text, which must be added before changing the briefing text, otherwise the previous text will not be overwritten. X-Wing briefing maps also have 2 sets of co-ordinates for the icons, although in the official missions I think only one is ever used, and it is usually number 2.

Full Text pages only need 2 instructions; Title Text and Briefing Text. Text pages can also be "Hint" pages, the format for these will be constructed automatically when you choose "Add a Hint Page" from the "Page" page, using strings that will be automatically generated when you make a new briefing.

The text strings for Full Text pages are much longer than those for Map animation pages, so editing strings is done in the editor by clicking on the appropriate slot in the list and editing the text in the memo box above.

To highlight words in the text, enclose them in [] brackets while in the memo box. Unlike XvT these brackets won't be stored with the text.

An X-Wing briefing basically consists of a series of instructions, carried out in sequence, which tell the Briefing map which animation action to carry out or which piece of text to display.

Instructions have the form:

[Time] [Instruction] [Index] [X co-ord] [Y co-ord]

The Index, X, and Y values are required only in certain instructions.

In X-ED these instructions can be added from both the WYSIWYG page, and the Instruction list page. If added from the WYSIWYG page, they will be inserted at the current Playback time. If added from the instruction page they will be inserted at the currently highlighted position of the instruction list.

..

"WYSIWYG" Page
Playback Map
The main feature of this page is the Briefing Playback Map. This where you can view the Briefing (close to) how it will appear in the game.

You can also drag the icons, or map Tags when they are visible, around on this Map to adjust their positions. To grab a Tag, click near its left hand end.

Playback Controls
Located below the map, the functions are:

Loop Back | Loop back to the beginning of the Briefing and begin playing.
Stop | Stops playback and returns to the beginning of the briefing.
Pause | Pauses playback at current position, or releases pause if already on.
Play | Continues playback from current position.
Step Forward | Advance the current Time by .05 seconds (the smallest increment). Pauses if playing. Useful for accurate placing of instructions.
Next Instruction | Advances to next instruction. Continues playback if already playing.
Play Fast | Fast forward through Briefing.

..
Snap
Works the same as in the FG Map, except that the increments are relative to Map grid lines rather than kms.

Total Running Time
Set the Total length in seconds that the Briefing will run before returning to the start. Make sure this is long enough to run all the instructions in your Briefing.

Show Name
Displays the FG names next to their icons (in X-ED only, not the game.)

Next
..


X-ED Briefing Editor Pt 2

.
Briefing Editor
.
Overview WYSIWYG Instruction List Strings Adding Instructions

"Instruction List" Page
On the left side of this page is the Instruction list showing the details of each instruction in the Briefing, on the right is the interface for editing the parameters of the instructions.
The Instruction list shows the value of each parameter in each instruction.

As you click on this list, the selected Instruction will be shown in the edit boxes on the right. Different boxes become visible for different instruction types.

Time & Instruction

These 2 boxes are always available, as all instructions require a Time parameter, (show in "raw" format with the conversion to seconds above,) and an Instruction type. There are several options in the Instruction list which are unused and so are represented only by numbers.

Beneath these boxes is the Time Adjustment Increment:

From here you can select the increment that the Time value will change by in the Time spin box. The options are shown in seconds, i.e. 1/20 sec = 1 "raw" unit.

Adjust time for all following instructions
Selecting this option will mean that increasing or decreasing the Time of an instruction will adjust the Time for all of the following instructions by the same increment, allowing you to 'slide' the rest of the briefing back and forth to adjust the length of time between events.

..

"Strings" Page
This is where you define all of the text strings that will be used as part of your Briefing. There are 2 types of strings:

Map Tags
Map Tags are short descriptions, usually FG names, that will be placed on the Briefing Map itself, among the icons.

Briefing Text
These are the longer sections which will describe the mission in detail, and appear underneath the Map.

You can also highlight a section of a string by enclosing it in [ ] brackets, e.g:

"This is [highlighted] text" will appear as:
This is highlighted text

Next
..


X-ED Briefing Editor Pt 3

.
Briefing Editor
.
Overview WYSIWYG Instruction List Strings Adding Instructions

Adding Instructions
This section will explain the function and parameters of each of the Briefing Instructions, and how to add them from both the WYSIWYG page and the Instruction List page.

Instructions are added using the various insert instruction buttons on the Toolbar:

..
When adding instructions from the Instruction List page, the instruction will be inserted into the currently highlighted point in the list.

E.g. to add a Move Map instruction into the Instruction list, first select the position in the list that you want to add it.

Instruction List before

Hit the Insert Move button and the Item is inserted with the same Time value as that selected slot.

Instruction List after

You can then increase the Time of the following instruction, with the Adjust for all... option on, if you want to give the new instruction some space .

The Instruction List is useful for deleting Instructions, changing their sequence, and tweaking their parameters.

You can also change the sequence of events using the [image] [image] buttons.

..
When adding from the WYSIWYG page there is no need to pause the Briefing before you hit one of the buttons, although it will be easier to place them more accurately. If it is playing when you insert an Instruction the playback will either continue, if the instruction requires no other parameters, or pause to display visual controls with which you can set the rest of the parameters. The descriptions below assume you insert the instruction while playing.

..Title Text Required parameters: Index

Displays the specified Title Text above the Map.
WYSIWYG:
Play the Briefing to the point you want to insert Title and hit the button. Playback will stop. From the dropbox that appears, select the Title you want to use and press the Done button..
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Select the Title you want to use from the drop down list that appears.

..Wait For Click Required parameters: None:

Playback will stop until the player clicks to box in order to see the hints. You shouldn't need to bother with this instruction, use the Add a Hint Page button to set up the whole hint page.

..Move Map Required parameters: X, Y

This will cause the map to move from its current position and scroll so that it ends centred on the specified co-ordinates.
WYSIWYG:
Play the Briefing to the point you want to move the map then hit the button. Playback will pause and X and Y scroll bars will appear at the sides of the map.

Map + scroll bars

Use the scroll bars to move the map to the position you want and press the Done button that appears.

Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. In the edit boxes that appear, type in the X and Y co-ordinates (in kms) that you want the map to move to.

Alternately, you can select a FG from the drop box and the X and Y co-ordinates will automatically be set so that the Map will move to be centred on that FG. When you want to centre on a FG, this is easier than using the scrollbars to line the Map up on a specific FG.

..Zoom Required parameter: X

This will cause the whole map to zoom in or out from its current zoom level so that it ends at the specified zoom level. In this case the X parameter is the zoom level rather than a co-ordinate, and the Y value is automatically locked to X.
WYSIWYG:
Play the Briefing to the point you want to zoom the map, then hit the button. Playback will pause and a zoom bar will appear under the map.

Map + zoom bar

Adjust the zoom with the zoom bar and press the Done button.

Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Type in the zoom factor you want in the X edit box that appears.

..Briefing Text..Required parameters: Index

Displays the specified Briefing Text at the bottom of the Map. It will replace any text previously displayed there.
WYSIWYG:
Play the Briefing to the point you want to insert the briefing text and hit the button. Playback will pause.
From the drop down list, select the Briefing Text you want to be seen at that point and press the Done button.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Select the Briefing Text you want to use from the drop down list that appears.

..Clear Text.. Required parameters: None

Clears the current text below the Map. You must use this instruction before changing the Briefing Text or the previous text will not be overwritten..
WYSIWYG:
Play the Briefing to the point you want to clear the Text and hit the button. Playback will continue.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button.

..Box FG Required parameters: Index

Shows an animation of a box enclosing the specified FG. There are 4 different boxes available, and actually 4 different instructions: FG Box #1 to FG Box #4. Using the same box more than once in a briefing will mean it disappears from around the FG it was the previously assigned to (if it hasn't already been cleared with a Clear Boxes instruction.) X-ED will attempt to use the next box in sequence when you hit the Box FG button.
WYSIWYG:
Play the Briefing to the point you want to insert the stop point and just hit the button. Playback will pause.
Choose FG to box
Select which FG you want to box from the drop down list and press the Done button.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Select which FG you want to box from the drop down list that appears.

..Clear All FG Boxes.. Required parameters: None

Clears all currently visible FG Boxes.
WYSIWYG:
Play the Briefing to the point you want to clear the boxes and hit the button. Playback will continue.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button.

..Map Tag Required parameters: X, Y, Index

Shows the selected short text at the specified position on the Map.There are 8 different Tag slots available, and actually 4 different instructions: MapTag #1 to MapTag #4. The program will attempt to use the next Tag in sequence when you hit the Map Tag button.
WYSIWYG:
Play the Briefing to the point you want to show the Map Tag and hit the button. Playback will pause.

Select which Map Tag you want to use dropdown list. Click on the Map to set its X and Y co-ordinates. You can click as many times as you want until you press the Done button to save the position.

Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button. Select which Map Tag you want to use from the drop down list that appears. Enter the X and Y co-ordinates of the top left point of the Tag.

..Clear All Map Tags ..Required parameters: None

Removes any currently visible Map Tags from the Map.
WYSIWYG:
Play the Briefing to the point you want to clear the tags and hit the button. Playback will continue.
Instruction list:
Select the point in the list you wish to insert the Instruction and hit the button.


XvtED Manual

..
XvtED User's Manual

Click here for X-ED Manual

X-Wing vs TIE Fighter © & TM LucasArts Entertainment Company.
XvtED and this manual © 1999,2000 Troy Dangerfield.


XvtED Manual Index

X v t E D
..
M A N U A L
Overview
Flight Groups
Messages
Global Goals
Text sections
Teams
Map
Briefings
Managers


X-ED Manual

..
X-ED User's Manual
Although this is a beta, it is the final version of X-ED.

For details of my latest editors, check my home page.

X-Wing © & TM LucasArts Entertainment Company.
X-ED and manual © 1998-2000 Troy Dangerfield.


X-ED Manual Index

X - E D
..
M A N U A L
Overview
Flight Groups
Map
Briefing